import React from 'react';
import { GetContentOptions } from '@builder.io/sdk';
interface BuilderSimpleComponentProps {
    options?: GetContentOptions;
    name: string;
    entry?: string;
    apiKey?: string;
    onLoad?: (data: any) => void;
    onError?: (error: any) => void;
    html?: string;
}
export declare class BuilderSimpleComponent extends React.Component<BuilderSimpleComponentProps> {
    state: {
        data: any;
        loading: boolean;
        error: boolean;
    };
    private previousName;
    private subscriptions;
    private trackedClick;
    componentWillUnmount(): void;
    onClick: (event: React.MouseEvent<Element, MouseEvent>) => void;
    componentDidMount(): void;
    disconnectedCallback(): void;
    componentWillUpdate(props: BuilderSimpleComponentProps): void;
    getContent(): false | undefined;
    unsubscribe(): void;
    render(): JSX.Element;
}
export {};
